From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flit-core/
Date: Mon, 15 May 2023 05:58:12 +0000 (UTC) [thread overview]
Message-ID: <1684130277.ddd30c82eba4638c87aa9bc8d35ba614f0c88898.mgorny@gentoo> (raw)
commit: ddd30c82eba4638c87aa9bc8d35ba614f0c88898
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 15 05:19:13 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 15 05:57:57 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddd30c82
dev-python/flit-core: Bump to 3.9.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/flit-core/Manifest | 1 +
dev-python/flit-core/flit-core-3.9.0.ebuild | 35 +++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/flit-core/Manifest b/dev-python/flit-core/Manifest
index 836007983c05..b951ff5fec13 100644
--- a/dev-python/flit-core/Manifest
+++ b/dev-python/flit-core/Manifest
@@ -1 +1,2 @@
DIST flit_core-3.8.0.tar.gz 41224 BLAKE2B 20d0b1e245280938b1edfa83531907775af9da30cc6e1446d578eafc7e14184d3c8fb80f446d265456ea5ea587c51edfdb706793a8894916525b3ebba322b3b0 SHA512 914804e3f2040762381afe039272d9d6fdbcd3f3cf8b9eea854f2f1d95edcb01718fd6685476bc1cdc251dfc46ef80b40f087df881d8b963dcc3f3332fd32a46
+DIST flit_core-3.9.0.tar.gz 41917 BLAKE2B 2fb053655a494736f5f9ce2d2c193d5d98622e410c0c0f18c92eb62d32ff98cbe830a1728461ed7e7e087d2fcf5f6a0c912717c2d534be688d688c4714c6865b SHA512 1205589930d2c51d6aa6b2533a122a912e63b157e94adba2a0649a58d324fa98a5b84609d9b53e9d236f1cdb6a6984de2cefcf2f11abc2cd83956df21f269ad6
diff --git a/dev-python/flit-core/flit-core-3.9.0.ebuild b/dev-python/flit-core/flit-core-3.9.0.ebuild
new file mode 100644
index 000000000000..020992e541b4
--- /dev/null
+++ b/dev-python/flit-core/flit-core-3.9.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simplified packaging of Python modules (core module)"
+HOMEPAGE="
+ https://pypi.org/project/flit-core/
+ https://github.com/pypa/flit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/tomli[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( dev-python/testpath[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r flit_core/vendor || die
+ sed -i -e 's:from \.vendor ::' flit_core/*.py || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2023-05-15 5:58 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-15 5:58 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-06-18 14:47 [gentoo-commits] repo/gentoo:master commit in: dev-python/flit-core/ Sam James
2023-06-18 17:13 Michał Górny
2024-11-03 3:52 Michał Górny
2024-11-23 8:55 Arthur Zamarin
2024-11-23 9:50 Michał Górny
2025-02-20 5:06 Michał Górny
2025-03-08 8:57 Arthur Zamarin
2025-03-08 8:58 Michał Górny
2025-03-08 10:50 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1684130277.ddd30c82eba4638c87aa9bc8d35ba614f0c88898.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox